com.aliyun.svideosdk.common

## Interface AliyunIClipConstructor

- All Superinterfaces:
    AliyunIClipManager
  All Known Subinterfaces:
    AliyunIImport, AliyunISourcePartManager

      public interface AliyunIClipConstructor
      extends AliyunIClipManager

  视频源管理器，用来导入视频时添加视频源，也可以在编辑过程中通过该接口来动态更新视频源

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addImage(java.lang.String imagePath, long durationMills, TransitionBase transition, AliyunDisplayMode mode)` Deprecated. 请使用 `AliyunIClipManager.addMediaClip(AliyunClip)`
    `int` | `addVideo(java.lang.String videoPath, long startTimeMills, long endTimeMills, TransitionBase transition, AliyunDisplayMode mode)` Deprecated. 请使用 `AliyunIClipManager.addMediaClip(AliyunClip)`
    `int` | `addVideo(java.lang.String videoPath, TransitionBase transition, AliyunDisplayMode mode)` Deprecated. 请使用 `AliyunIClipManager.addMediaClip(AliyunClip)`
    `int` | `deleteMediaClip()` Deprecated. 请使用 `AliyunIClipManager.deleteLastMediaClip()` }
    `AliyunClip` | `getMediaPart(int index)` Deprecated. 请使用 `AliyunIClipManager.getMediaClip(int)`
    `int` | `getMediaPartCount()` Deprecated. 请使用 `AliyunIClipManager.getMediaClipCount()`
    `void` | `removeMedia(int id)` 移除媒体（视频／图片）
    `void` | `removeVideo(java.lang.String videoPath)` Deprecated. 请使用 `removeMedia(int)`

    - ### Methods inherited from interface com.aliyun.svideosdk.common.AliyunIClipManager

      `addMediaClip, addMediaClip, deleteLastMediaClip, deleteMediaClip, deleteMediaClip, getAllClips, getMediaClip, getMediaClipCount, swap, updateAllClips, updateMediaClip`

- - ### Method Detail

    - #### deleteMediaClip

          @Deprecated
          int deleteMediaClip()

      Deprecated. 请使用 `AliyunIClipManager.deleteLastMediaClip()` }
      删除末尾的一个clip，
      Returns:
        成功返回0，如果没有clip了，返回`AliyunErrorCode.ERROR_NO_CLIP`

    - #### getMediaPart

          @Deprecated
          AliyunClip getMediaPart(int index)

      Deprecated. 请使用 `AliyunIClipManager.getMediaClip(int)`
      按索引获取一个clip，
      Parameters:
        `index` -
      Returns:
        成功返回相应clip的一个拷贝样本，失败返回null

    - #### getMediaPartCount

          @Deprecated
          int getMediaPartCount()

      Deprecated. 请使用 `AliyunIClipManager.getMediaClipCount()`
      获取clip的个数
      Returns:
        返回clip的总数

    - #### addVideo

          @Deprecated
          int addVideo(java.lang.String videoPath,
                                   TransitionBase transition,
                                   AliyunDisplayMode mode)

      Deprecated. 请使用 `AliyunIClipManager.addMediaClip(AliyunClip)`
      添加视频
      Parameters:
        `videoPath` -
        `transition` - `TransitionBase`
        `mode` -
      Returns:
        成功返回大于0的ID（ID为SDK内部管理的，如果要移除视频时需要该ID），失败返回相应的错误码

    - #### addVideo

          @Deprecated
          int addVideo(java.lang.String videoPath,
                                   long startTimeMills,
                                   long endTimeMills,
                                   TransitionBase transition,
                                   AliyunDisplayMode mode)

      Deprecated. 请使用 `AliyunIClipManager.addMediaClip(AliyunClip)`
      添加视频 added in v3.3.3
      Parameters:
        `videoPath` - 视频路径
        `startTimeMills` - 视频的开始时间点 毫秒
        `endTimeMills` - 视频的结束时间点 毫秒
        `transition` - `TransitionBase`
      Returns:
        成功返回大于0的ID（ID为SDK内部管理的，如果要移除视频时需要该ID），失败返回相应的错误码

    - #### addImage

          @Deprecated
          int addImage(java.lang.String imagePath,
                                   long durationMills,
                                   TransitionBase transition,
                                   AliyunDisplayMode mode)

      Deprecated. 请使用 `AliyunIClipManager.addMediaClip(AliyunClip)`
      添加图片
      Parameters:
        `imagePath` -
        `durationMills` - 毫秒
        `transition` - `TransitionBase`
        `mode` -
      Returns:
        返回该图片对应的ID（ID为SDK内部管理的，如果要移除视频时需要用到该ID）

    - #### removeMedia

          void removeMedia(int id)

      移除媒体（视频／图片）
      Parameters:
        `id` - `addVideo(String, TransitionBase, AliyunDisplayMode)` or `addImage(String, long, TransitionBase, AliyunDisplayMode)` 返回的ID

    - #### removeVideo

          void removeVideo(java.lang.String videoPath)
                    throws java.lang.IllegalAccessException

      Deprecated. 请使用 `removeMedia(int)`
      移除视频
      Parameters:
        `videoPath` -
      Throws:
        `java.lang.IllegalAccessException`